<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/MCParticle.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MCParticle.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_m_c_particle_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_MCParticle_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_MCParticle_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_const_8h.html">eicd/MCParticleConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_obj_8h.html">eicd/MCParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_8h.html">eicd/MCParticle.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>MCParticleCollection;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>MCParticleCollectionIterator;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>ConstMCParticle;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_m_c_particle_collection.html">MCParticleCollection</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_m_c_particle_collection_iterator.html">MCParticleCollectionIterator</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle</a>();</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">pdg</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">genstatus</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">charge</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">mass</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">time</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>, <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">endpointSet</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle</a>(<a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>* obj);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#ae2fc4317d2d9a2576d9376d222ebb41f">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#aedb374e410d69d9eee0fa0900483372e">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle.html#a953174ce834ac20fbe9735f20759606a">~MCParticle</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">pdg</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">genstatus</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">charge</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">mass</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">bool</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">endpointSet</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">pdg</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">genstatus</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>(std::array&lt;double, 3&gt; value);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">charge</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">mass</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">time</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>(std::array&lt;double, 3&gt; value);</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>();</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">endpointSet</a>(<span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>(std::array&lt;double, 3&gt; value);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>();</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a3bb13ed50decbe5a5bc7939801dca22e">addparents</a>(::<a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">parents_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">parents</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#a94b0e83519cf5c7b8ac04f37182390a0">parents_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#a61df4024090bb917a289dbb4170f6270">parents_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">parents</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2ad0c542898a7799a3cdbbd972581ac3">adddaughters</a>(::<a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">daughters_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">daughters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#ab6254600c63c9847b85e25882f1b2f9d">daughters_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#af7e08905192580dc212db450ae692818">daughters_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">daughters</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aff854735400113060fc6cc90e7f6d51d">  143</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#aff854735400113060fc6cc90e7f6d51d">Px</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(0);}</div><div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aa0eea5a60438cd9b880f76cca23ed19e">  144</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#aa0eea5a60438cd9b880f76cca23ed19e">Py</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(1);}</div><div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a7721729ab9c901299a089e21ca83c4bf">  145</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#a7721729ab9c901299a089e21ca83c4bf">Pz</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(2);}</div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a1c63b98d00aa858746529110f6b7cdd3">  146</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#a1c63b98d00aa858746529110f6b7cdd3">Px2</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(0)*<a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(0);}</div><div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ab2ee322ce9e280e126dbb66282f8f94a">  147</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#ab2ee322ce9e280e126dbb66282f8f94a">Py2</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(1)*<a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(1);}</div><div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a15a90e85b47468b147a6fddbc76e29b8">  148</a></span>&#160; <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_m_c_particle.html#a15a90e85b47468b147a6fddbc76e29b8">Pz2</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(2)*<a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>().at(2);}</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; <span class="comment">//ROOT::Math::XYZTVector FourVector() const { return  ROOT::Math::XYZTVector(Px(),Py(),Pz(),std::sqrt(Px2()+Py2()+Pz2()+mass()*mass())); }</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160; <span class="comment">//double theta() const { return  ROOT::Math::XYZVector(Px(),Py(),Pz()).Theta();}</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160; </div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#adad3269b18145357d6efcd31657f7a76">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#adc26521ee5135fb27b906aa3c6bd4d89">  157</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#adc26521ee5135fb27b906aa3c6bd4d89">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">  159</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a5b8b51a88a7afb31f4997274c53431dc">  163</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a5b8b51a88a7afb31f4997274c53431dc">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a668e03949fa79fa252c6e10b63484894">  165</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_m_c_particle.html#a668e03949fa79fa252c6e10b63484894">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">getObjectID</a>().index; }</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>* m_obj;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;};</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; value);</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_m_c_particle_html_a15a90e85b47468b147a6fddbc76e29b8"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a15a90e85b47468b147a6fddbc76e29b8">eic::MCParticle::Pz2</a></div><div class="ttdeci">double Pz2() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00148">MCParticle.h:148</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_m_c_particle.html">eic::MCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00028">MCParticle.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_aedb374e410d69d9eee0fa0900483372e"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#aedb374e410d69d9eee0fa0900483372e">eic::MCParticle::clone</a></div><div class="ttdeci">MCParticle clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00047">MCParticle.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a5741529b6125e8fd89cd48b2661b1511"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">eic::MCParticle::daughters_size</a></div><div class="ttdeci">unsigned int daughters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00140">MCParticle.cc:140</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_aa0eea5a60438cd9b880f76cca23ed19e"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#aa0eea5a60438cd9b880f76cca23ed19e">eic::MCParticle::Py</a></div><div class="ttdeci">double Py() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00144">MCParticle.h:144</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_aff854735400113060fc6cc90e7f6d51d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#aff854735400113060fc6cc90e7f6d51d">eic::MCParticle::Px</a></div><div class="ttdeci">double Px() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00143">MCParticle.h:143</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a61df4024090bb917a289dbb4170f6270"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a61df4024090bb917a289dbb4170f6270">eic::MCParticle::parents_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00098">MCParticle.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html">eic::MCParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00020">MCParticleObj.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00026">MCParticleConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ab6254600c63c9847b85e25882f1b2f9d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ab6254600c63c9847b85e25882f1b2f9d">eic::MCParticle::daughters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00128">MCParticle.cc:128</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a787f00b5626d161c2b4bdb6c948b5fd1"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">eic::MCParticle::operator==</a></div><div class="ttdeci">bool operator==(const MCParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00159">MCParticle.h:159</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ae1ecac7046f1551e9b5274a01b9825b9"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">eic::MCParticle::mass</a></div><div class="ttdeci">const float &amp; mass() const</div><div class="ttdoc">Access the The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00061">MCParticle.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a668e03949fa79fa252c6e10b63484894"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a668e03949fa79fa252c6e10b63484894">eic::MCParticle::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00165">MCParticle.h:165</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ac28b7acd6dc987967fcb103e2e3bd773"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">eic::MCParticle::daughters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; daughters() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00151">MCParticle.cc:151</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a1c63b98d00aa858746529110f6b7cdd3"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a1c63b98d00aa858746529110f6b7cdd3">eic::MCParticle::Px2</a></div><div class="ttdeci">double Px2() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00146">MCParticle.h:146</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a2ad0c542898a7799a3cdbbd972581ac3"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a2ad0c542898a7799a3cdbbd972581ac3">eic::MCParticle::adddaughters</a></div><div class="ttdeci">void adddaughters(::eic::ConstMCParticle)</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00123">MCParticle.cc:123</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ae2fc4317d2d9a2576d9376d222ebb41f"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ae2fc4317d2d9a2576d9376d222ebb41f">eic::MCParticle::operator=</a></div><div class="ttdeci">MCParticle &amp; operator=(const MCParticle &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00037">MCParticle.cc:37</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a94b0e83519cf5c7b8ac04f37182390a0"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a94b0e83519cf5c7b8ac04f37182390a0">eic::MCParticle::parents_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00092">MCParticle.cc:92</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a170932745890aea2df81d1d731724dd4"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">eic::MCParticle::MCParticle</a></div><div class="ttdeci">MCParticle()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00016">MCParticle.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_af962506d29f35c180adf6a2e65ccc4ac"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">eic::MCParticle::parents</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; parents() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00115">MCParticle.cc:115</a></div></div>
<div class="ttc" id="_m_c_particle_obj_8h_html"><div class="ttname"><a href="_m_c_particle_obj_8h.html">MCParticleObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a953174ce834ac20fbe9735f20759606a"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a953174ce834ac20fbe9735f20759606a">eic::MCParticle::~MCParticle</a></div><div class="ttdeci">~MCParticle()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00051">MCParticle.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_af7e08905192580dc212db450ae692818"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#af7e08905192580dc212db450ae692818">eic::MCParticle::daughters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00134">MCParticle.cc:134</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_collection_iterator.html">eic::MCParticleCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_collection_8h_source.html#l00029">MCParticleCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ab2ee322ce9e280e126dbb66282f8f94a"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ab2ee322ce9e280e126dbb66282f8f94a">eic::MCParticle::Py2</a></div><div class="ttdeci">double Py2() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00147">MCParticle.h:147</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a5b8b51a88a7afb31f4997274c53431dc"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a5b8b51a88a7afb31f4997274c53431dc">eic::MCParticle::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const MCParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00163">MCParticle.h:163</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a81846f442aa4e0a4f5e914478532438d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">eic::MCParticle::pdg</a></div><div class="ttdeci">const long long &amp; pdg() const</div><div class="ttdoc">Access the The PDG code of the particle. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00056">MCParticle.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_collection_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_collection.html">eic::MCParticleCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_collection_8h_source.html#l00050">MCParticleCollection.h:50</a></div></div>
<div class="ttc" id="_m_c_particle_8h_html"><div class="ttname"><a href="_m_c_particle_8h.html">MCParticle.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_adad3269b18145357d6efcd31657f7a76"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#adad3269b18145357d6efcd31657f7a76">eic::MCParticle::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00164">MCParticle.cc:164</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a5082a0f50bd15a1de8d78e7a3075eeaf"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">eic::MCParticle::parents_size</a></div><div class="ttdeci">unsigned int parents_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00104">MCParticle.cc:104</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_adc26521ee5135fb27b906aa3c6bd4d89"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#adc26521ee5135fb27b906aa3c6bd4d89">eic::MCParticle::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from MCParticleObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00157">MCParticle.h:157</a></div></div>
<div class="ttc" id="_m_c_particle_const_8h_html"><div class="ttname"><a href="_m_c_particle_const_8h.html">MCParticleConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a0ccbb42541ac96d7849de1c8cb485eae"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">eic::MCParticle::vertex</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; vertex() const</div><div class="ttdoc">Access the The production vertex of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00058">MCParticle.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a01a8039a3380d33dbb576c9243c6d0fc"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">eic::MCParticle::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00171">MCParticle.cc:171</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a6007d2d9cd1ae703bb55d1d5e4e75a39"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">eic::MCParticle::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00060">MCParticle.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a7721729ab9c901299a089e21ca83c4bf"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a7721729ab9c901299a089e21ca83c4bf">eic::MCParticle::Pz</a></div><div class="ttdeci">double Pz() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00145">MCParticle.h:145</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a6838feed01c9051e89da926363a61ff4"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">eic::MCParticle::genstatus</a></div><div class="ttdeci">const long long &amp; genstatus() const</div><div class="ttdoc">Access the The status for particles as defined by the generator. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00057">MCParticle.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a9e7e0a13b8d667b0c10143c6e5d1f3f1"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">eic::MCParticle::momentum</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; momentum() const</div><div class="ttdoc">Access the The particle&amp;#39;s 3-momentum at the production vertex in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00066">MCParticle.cc:66</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a7e2dd3a192951e2adf76ddbc81764291"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">eic::MCParticle::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or d...</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00062">MCParticle.cc:62</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a48734eea7431778fb6416e0f5e8a5cae"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">eic::MCParticle::endpointSet</a></div><div class="ttdeci">const bool &amp; endpointSet() const</div><div class="ttdoc">Access the Whether the endpoint has been set. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00065">MCParticle.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a2c5cdf04d07aa6d9a0b647d76cb1112d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">eic::MCParticle::endpoint</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; endpoint() const</div><div class="ttdoc">Access the The endpoint of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00063">MCParticle.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a3bb13ed50decbe5a5bc7939801dca22e"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a3bb13ed50decbe5a5bc7939801dca22e">eic::MCParticle::addparents</a></div><div class="ttdeci">void addparents(::eic::ConstMCParticle)</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00087">MCParticle.cc:87</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
